Google Chat Integrations

Update Googlechat Integration

Update a Google Chat integration

post
/v1/integration/googlechat/{googlechatIntegrationId}/update

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

googlechatIntegrationIdstring* Required

The ID of the Google Chat integration

Request Body * Required

Request Body Schema: application/json

namestring

The associated name

descriptionstring

The associated description

metaobject

Meta data information

blueprintIdstring

The ID of the blueprint

botIdstring

The ID of the bot this configuration is using

serviceAccountKeystring

The Google service account JSON key for sending messages

projectNumberstring

The Google Cloud project number for JWT verification

contactCollectionboolean

Whether to collect contacts

sessionDurationnumber

The session duration for the integration

autoRespondstring

The auto-respond configuration

allowFromstring

The allowed senders for this integration

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.integration.googlechat.update(

googlechatIntegrationId,
{
"name":"string",
"description":"string",
"meta":"object",
"blueprintId":"string",
"botId":"string",
"serviceAccountKey":"string",
"projectNumber":"string",
"contactCollection":"boolean",
"sessionDuration":"number",
"autoRespond":"string",
"allowFrom":"string"
}
)
{
"id":"string"
}
The Google Chat integration was updated successfully